SDL_GPUTransferBufferCreateInfo(3type)

NAME
SDL_GPUTransferBufferCreateInfo - A structure specifying the parameters of a transfer buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUTransferBufferCreateInfo
{
    SDL_GPUTransferBufferUsage usage;  /**< How the transfer buffer is intended to be used by the client. */
    Uint32 size;                       /**< The size in bytes of the transfer buffer. */

    SDL_PropertiesID props;            /**< A properties ID for extensions. Should be 0 if no extensions are needed. */
} SDL_GPUTransferBufferCreateInfo;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUTransferBuffer(3)